org.apache.struts2.el.lang

## Class ELArithmetic.BigDecimalDelegate

- java.lang.Object
- - org.apache.struts2.el.lang.ELArithmetic
  - - org.apache.struts2.el.lang.ELArithmetic.BigDecimalDelegate

- Enclosing class:
    ELArithmetic

      public static final class ELArithmetic.BigDecimalDelegate
      extends ELArithmetic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.struts2.el.lang.ELArithmetic

      `ELArithmetic.BigDecimalDelegate, ELArithmetic.BigIntegerDelegate, ELArithmetic.DoubleDelegate, ELArithmetic.LongDelegate`

  - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.el.lang.ELArithmetic

      `BIGDECIMAL, BIGINTEGER, DOUBLE, LONG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecimalDelegate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Number` | `add(Number num0, Number num1)`
    `protected Number` | `coerce(Number num)`
    `protected Number` | `coerce(String str)`
    `protected Number` | `divide(Number num0, Number num1)`
    `boolean` | `matches(Object obj0, Object obj1)`
    `protected Number` | `mod(Number num0, Number num1)`
    `protected Number` | `multiply(Number num0, Number num1)`
    `protected Number` | `subtract(Number num0, Number num1)`

    - ### Methods inherited from class org.apache.struts2.el.lang.ELArithmetic

      `add, coerce, divide, isNumber, isNumberType, mod, multiply, subtract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalDelegate

          public BigDecimalDelegate()

  - ### Method Detail

    - #### add

          protected Number add(Number num0,
                               Number num1)

      Specified by:
        `add` in class `ELArithmetic`

    - #### coerce

          protected Number coerce(Number num)

      Specified by:
        `coerce` in class `ELArithmetic`

    - #### coerce

          protected Number coerce(String str)

      Specified by:
        `coerce` in class `ELArithmetic`

    - #### divide

          protected Number divide(Number num0,
                                  Number num1)

      Specified by:
        `divide` in class `ELArithmetic`

    - #### subtract

          protected Number subtract(Number num0,
                                    Number num1)

      Specified by:
        `subtract` in class `ELArithmetic`

    - #### mod

          protected Number mod(Number num0,
                               Number num1)

      Specified by:
        `mod` in class `ELArithmetic`

    - #### multiply

          protected Number multiply(Number num0,
                                    Number num1)

      Specified by:
        `multiply` in class `ELArithmetic`

    - #### matches

          public boolean matches(Object obj0,
                                 Object obj1)

      Specified by:
        `matches` in class `ELArithmetic`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.